package ch.hslu.dmg.g06.data;

import java.io.Serializable;
import java.sql.Date;

import javax.persistence.*;

@Entity
@Table(name = "Bestellung")
public class Order implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	@Column(name = "Id")
	private int id;
	
	@JoinColumn(name = "KundeId", referencedColumnName = "Id")
	@ManyToOne(optional = false)
	private Customer custumer;
	
	@JoinColumn(name = "TeilId", referencedColumnName = "Id")
	@ManyToOne(optional = false)
	private Part part;
		
	@Basic(optional = false)
	@Column(name = "Datum")
	private Date date;
	
	@Basic(optional = false)
	@Column(name = "Nummer")
	private int number;
	
	@Basic(optional = false)
	@Column(name = "Liefertermin")
	private Date deliveryDate;
	
	@Basic(optional = false)
	@Column(name = "Anzahl")
	private int amount;
	
	

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public Customer getCustumer() {
		return custumer;
	}

	public void setCustumer(Customer custumer) {
		this.custumer = custumer;
	}

	public Part getPart() {
		return part;
	}

	public void setPart(Part part) {
		this.part = part;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public int getNumber() {
		return number;
	}

	public void setNumber(int number) {
		this.number = number;
	}

	public Date getDeliveryDate() {
		return deliveryDate;
	}

	public void setDeliveryDate(Date deliveryDate) {
		this.deliveryDate = deliveryDate;
	}

	public int getAmount() {
		return amount;
	}

	public void setAmount(int amount) {
		this.amount = amount;
	}
	
	@Override
	public String toString() {
		
		return "Bestellung (Id: " + id + ")";
		//return "Bestellung (Id " + id + ";" + part + "; Anzahl " + amount + ")";
	}
}
